<?php

# 1.Kurulum
    # a. Session Başlat
    session_start();

    # b. Autoload dosyasini include
    include "vendor/autoload.php";
    # c. Parametrelerle Facebook Object Üret

    $fb = new Facebook\Facebook([
        'app_id' => '830639707088006', // Replace {app-id} with your app id
        'app_secret' => '638f060d2f5ce014e4f0ad2b24c217b0',
        'default_graph_version' => 'v2.2',
    ]);

    $redirect = "http://localhost/facebook_login/index.php";


    if(isset($_SESSION["FBRLH_state"]) && isset($_GET["state"])){
        $_SESSION["FBRLH_state"] = $_GET["state"];
    }

    $helper = $fb->getRedirectLoginHelper();

    try {
        $accessToken = $helper->getAccessToken();
    } catch(Facebook\Exceptions\FacebookResponseException $e) {
        // When Graph returns an error
        echo 'Graph returned an error: ' . $e->getMessage();
        exit;
    } catch(Facebook\Exceptions\FacebookSDKException $e) {
        // When validation fails or other local issues
        echo 'Facebook SDK returned an error: ' . $e->getMessage();
        exit;
    }

# 2. Temel Kodlama
    # a. eğer access code yoksa link için url üret

    if(!isset($accessToken)){

        $permission = ["email"];
        $loginUrl = $helper->getLoginUrl($redirect, $permission);

        echo "<a href='$loginUrl'><img src='assets/images/fb_login_btn.png' width='200' alt=''></a>";
    } else {
        # b. else profili getir.

        $fb->setDefaultAccessToken($accessToken);
        $response = $fb->get("/me?fields=email,name");
        $userNode = $response->getGraphUser();

        echo $userNode->getName() . "<br>";
        echo $userNode->getId() . "<br>";
        echo $userNode->getEmail() . "<br>";
        $imgUrl = "https://graph.facebook.com/" . $userNode->getId() . "/picture?width=200";
        echo "<img src='$imgUrl' />";

    }



